let PU = [];
let iy = window.navigator
let Jj = iy["plugins"]["length"];
let Xh = 0;
while (Xh < Jj) {
    let rS = iy["plugins"][Xh];
    if (rS) {
        PU["push"](rS);
    }
    Xh += 1;
}
PU["sort"](function (Q9, VT) {
    let M5 = 0;
    if (Q9["name"] > VT["name"]) {
        M5 = 1;
    } else if (Q9["name"] < VT["name"]) {
        M5 = -1;
    }
    return M5;
});


let Mb = [];
for (let xQ in PU) {
    let zx = PU[xQ];
    if (PU.hasOwnProperty(xQ)) {
        Mb["push"](function (d0) {
            let DI = [];
            for (let b3 in d0) {
                let zv = d0[b3];
                _console(zv, d0.hasOwnProperty(b3))
                if (d0.hasOwnProperty(b3)) {
                    let WP = function (Oc) {
                        let rH = null;
                        if (Oc) {
                            rH = [Oc["type"], Oc["suffixes"]]["join"]("~");
                        }
                        return rH;
                    }(zv);
                    if (WP !== null && WP !== undefined) {
                        DI["push"](WP);
                    }
                }
            }
            let qz = DI;
            let UK = qz;
            return [d0["name"], d0["description"], UK]["join"]("::");
        }(zx));
    }
}

